.page_title input {
  padding-top: 0;
  padding-bottom: 0;
  font-size: 26px;
  font-weight: bold;
}

.page_title textarea {
  padding-top: 15px;
  padding-bottom: 0;
  font-size: 26px;
  font-weight: bold;
}

.page_title .v-field__prepend-inner {
  padding-top: 10px;
}

.page_title .v-input__details {
  display: none;
}

/* Base colors for data table rows */
tbody tr {
  background-color: transparent;
}

/*
Alternating colors for main rows.
This selects the odd rows of the table body, excluding the expanded rows
*/
tbody tr:nth-child(odd of .v-data-table__tr) {
  background-color: rgba(0, 0, 0, 0.05);
}

/*
Match expanded content color with its corresponding row.
Expanded rows don't have a specific class, so we can select them by excluding rows having
the .v-data-table__tr class.
*/
tbody tr:nth-child(odd of .v-data-table__tr) + tr:not(.v-data-table__tr) {
  background-color: rgba(0, 0, 0, 0.05);
}

.pointer-cursor {
  cursor: pointer;
}

.error-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.error-content {
  text-align: center;
}

.no-node-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 80vh;
}

.no-node-content {
  text-align: center;
}

.smaller-text {
  font-size: 9px;
}

.status-indicator {
  width: 12px;
  height: 12px;
  border-radius: 50%; /* Ensures the indicator is circular */
  display: inline-block;
  margin-right: 5px; /* Adjust spacing as needed */
}

/* Define custom style for disabled buttons */
.custom-disabled-button {
  opacity: 1 !important;
  background-color: transparent !important;
  color: black !important;
  cursor: pointer; /* Ensure pointer cursor even for disabled buttons */
  padding: 8px 12px; /* Adjust padding as needed */
  margin: 0; /* Remove margin */
}

.custom-disabled-button:disabled {
  cursor: default; /* Change cursor for disabled buttons */
}

.v-field__outline {
  display: none !important;
}

@font-face {
  font-family: "Nerd Font";
  src: url("@/assets/fonts/Symbols-2048-em Nerd Font Complete.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}
